FOBJ=wam_mpi_module.o wam_file_module.o wam_general_module.o wam_timopt_module.o wam_fre_dir_module.o wam_jonswap_module.o wam_tables_module.o wam_interface_module.o wam_grid_module.o wam_model_module.o preproc_module.o wam_special_module.o wam_output_parameter_module.o preproc_user_module.o wam_nest_module.o wam_output_set_up_module.o preproc.o read_topography.o read_preproc_user.o wam_mpi_comp_module.o wam_coordinate_module.o 

preproc: $(FOBJ)
	$(FC) -o $@ $(FFLAGS) $(LDFLAGS) $(FOBJ) $(LIBS)

wam_mpi_module.o : wam_mpi_module.f90 
wam_file_module.o : wam_file_module.f90 
wam_general_module.o : wam_general_module.f90 wam_file_module.o wam_coordinate_module.o 
wam_timopt_module.o : wam_timopt_module.f90 wam_file_module.o wam_general_module.o 
wam_fre_dir_module.o : wam_fre_dir_module.f90 wam_file_module.o wam_general_module.o 
wam_jonswap_module.o : wam_jonswap_module.f90 wam_general_module.o 
wam_tables_module.o : wam_tables_module.f90 wam_grid_module.o wam_fre_dir_module.o wam_file_module.o wam_jonswap_module.o wam_general_module.o 
wam_interface_module.o : wam_interface_module.f90 wam_output_set_up_module.o wam_tables_module.o wam_fre_dir_module.o wam_general_module.o 
wam_grid_module.o : wam_grid_module.f90 wam_file_module.o wam_general_module.o wam_coordinate_module.o 
wam_model_module.o : wam_model_module.f90 
preproc_module.o : preproc_module.f90 wam_file_module.o wam_tables_module.o wam_nest_module.o wam_fre_dir_module.o wam_grid_module.o wam_general_module.o wam_coordinate_module.o 
wam_special_module.o : wam_special_module.f90 wam_mpi_module.o wam_file_module.o wam_general_module.o 
wam_output_parameter_module.o : wam_output_parameter_module.f90 
preproc_user_module.o : preproc_user_module.f90 wam_tables_module.o wam_file_module.o preproc_module.o wam_nest_module.o wam_general_module.o wam_fre_dir_module.o wam_coordinate_module.o 
wam_nest_module.o : wam_nest_module.f90 wam_file_module.o wam_grid_module.o wam_general_module.o wam_coordinate_module.o 
wam_output_set_up_module.o : wam_output_set_up_module.f90 wam_mpi_module.o wam_special_module.o wam_output_parameter_module.o wam_timopt_module.o wam_file_module.o wam_grid_module.o wam_general_module.o wam_coordinate_module.o 
preproc.o : preproc.f90 wam_tables_module.o preproc_module.o wam_file_module.o 
read_topography.o : read_topography.f90 wam_file_module.o preproc_module.o wam_general_module.o wam_coordinate_module.o 
read_preproc_user.o : read_preproc_user.f90 preproc_user_module.o wam_file_module.o wam_general_module.o 
wam_mpi_comp_module.o : wam_mpi_comp_module.f90 wam_timopt_module.o wam_mpi_module.o wam_nest_module.o wam_output_set_up_module.o wam_grid_module.o wam_fre_dir_module.o wam_file_module.o wam_coordinate_module.o wam_general_module.o 
wam_coordinate_module.o : wam_coordinate_module.f90 wam_file_module.o 
