FOBJ=wam_file_module.o wam_general_module.o wam_timopt_module.o wam_fre_dir_module.o wam_jonswap_module.o wam_tables_module.o wam_swell_module.o wam_interface_module.o wam_grid_module.o wam_current_module.o wam_model_module.o wam_ice_module.o wam_output_module.o wam_wind_module.o wam_boundary_module.o wam_flux_module.o read_wind_era5.o wam_source_module.o wam_propagation_module.o preproc_module.o wam_coldstart_module.o wam_restart_module.o wam_initial_module.o wam_mpi_module.o wam_output_set_up_module.o wam_topo_module.o wam_radiation_module.o wam_nest_module.o wam_user_module.o wam_special_module.o read_topo_input.o chief.o wavemdl.o initmdl.o read_wam_user.o print_wam_status.o read_wind_input.o read_current_input.o wamodel.o read_boundary_input.o read_ice_input.o jafu.o wam_mpi_comp_module.o wam_assi_set_up_module.o wam_assi_module.o wam_coordinate_module.o readsat.o wam_output_parameter_module.o 

wam: $(FOBJ)
	$(FC) -o $@ $(FFLAGS) $(LDFLAGS) $(FOBJ) $(LIBS)

wam_file_module.o : wam_file_module.f90 
wam_general_module.o : wam_general_module.f90 wam_file_module.o wam_coordinate_module.o 
wam_timopt_module.o : wam_timopt_module.f90 wam_file_module.o wam_general_module.o 
wam_fre_dir_module.o : wam_fre_dir_module.f90 wam_file_module.o wam_general_module.o 
wam_jonswap_module.o : wam_jonswap_module.f90 wam_general_module.o 
wam_tables_module.o : wam_tables_module.f90 wam_grid_module.o wam_fre_dir_module.o wam_file_module.o wam_jonswap_module.o wam_general_module.o 
wam_swell_module.o : wam_swell_module.f90 wam_mpi_module.o wam_tables_module.o wam_output_set_up_module.o wam_model_module.o wam_file_module.o wam_fre_dir_module.o wam_general_module.o wam_interface_module.o 
wam_interface_module.o : wam_interface_module.f90 wam_output_set_up_module.o wam_tables_module.o wam_fre_dir_module.o wam_general_module.o 
wam_grid_module.o : wam_grid_module.f90 wam_file_module.o wam_general_module.o wam_coordinate_module.o 
wam_current_module.o : wam_current_module.f90 wam_mpi_module.o wam_timopt_module.o wam_model_module.o wam_file_module.o wam_mpi_comp_module.o wam_grid_module.o wam_general_module.o wam_coordinate_module.o 
wam_model_module.o : wam_model_module.f90 
wam_ice_module.o : wam_ice_module.f90 wam_mpi_module.o wam_fre_dir_module.o wam_timopt_module.o wam_file_module.o wam_grid_module.o wam_general_module.o wam_coordinate_module.o 
wam_output_module.o : wam_output_module.f90 wam_mpi_module.o wam_tables_module.o wam_nest_module.o wam_output_parameter_module.o wam_timopt_module.o wam_model_module.o wam_flux_module.o wam_file_module.o wam_grid_module.o wam_fre_dir_module.o wam_special_module.o wam_mpi_comp_module.o wam_swell_module.o wam_source_module.o wam_radiation_module.o wam_topo_module.o wam_ice_module.o wam_output_set_up_module.o wam_interface_module.o wam_general_module.o 
wam_wind_module.o : wam_wind_module.f90 wam_special_module.o wam_mpi_module.o wam_timopt_module.o wam_model_module.o wam_file_module.o wam_grid_module.o wam_general_module.o wam_coordinate_module.o 
wam_boundary_module.o : wam_boundary_module.f90 wam_mpi_module.o wam_nest_module.o wam_model_module.o wam_grid_module.o wam_fre_dir_module.o wam_timopt_module.o wam_output_set_up_module.o wam_file_module.o wam_mpi_comp_module.o wam_interface_module.o wam_general_module.o 
wam_flux_module.o : wam_flux_module.f90 
read_wind_era5.o : read_wind_era5.f90 wam_file_module.o wam_wind_module.o wam_general_module.o 
wam_source_module.o : wam_source_module.f90 wam_mpi_module.o wam_flux_module.o wam_tables_module.o wam_file_module.o wam_timopt_module.o wam_fre_dir_module.o wam_general_module.o wam_interface_module.o 
wam_propagation_module.o : wam_propagation_module.f90 wam_mpi_module.o wam_tables_module.o wam_model_module.o wam_file_module.o wam_timopt_module.o wam_grid_module.o wam_fre_dir_module.o wam_mpi_comp_module.o wam_topo_module.o wam_general_module.o 
preproc_module.o : preproc_module.f90 wam_file_module.o wam_tables_module.o wam_nest_module.o wam_fre_dir_module.o wam_grid_module.o wam_general_module.o wam_coordinate_module.o 
wam_coldstart_module.o : wam_coldstart_module.f90 wam_mpi_module.o wam_file_module.o wam_tables_module.o wam_timopt_module.o wam_model_module.o wam_grid_module.o wam_fre_dir_module.o wam_jonswap_module.o wam_wind_module.o wam_general_module.o 
wam_restart_module.o : wam_restart_module.f90 wam_special_module.o wam_mpi_module.o wam_grid_module.o wam_fre_dir_module.o wam_file_module.o wam_timopt_module.o wam_model_module.o wam_mpi_comp_module.o wam_general_module.o 
wam_initial_module.o : wam_initial_module.f90 wam_mpi_module.o wam_propagation_module.o wam_wind_module.o wam_file_module.o wam_tables_module.o wam_timopt_module.o wam_model_module.o wam_nest_module.o wam_grid_module.o wam_fre_dir_module.o wam_special_module.o wam_source_module.o wam_current_module.o wam_topo_module.o wam_ice_module.o wam_coldstart_module.o wam_restart_module.o wam_general_module.o 
wam_mpi_module.o : wam_mpi_module.f90 
wam_output_set_up_module.o : wam_output_set_up_module.f90 wam_mpi_module.o wam_special_module.o wam_output_parameter_module.o wam_timopt_module.o wam_file_module.o wam_grid_module.o wam_general_module.o wam_coordinate_module.o 
wam_topo_module.o : wam_topo_module.f90 wam_mpi_module.o wam_tables_module.o wam_timopt_module.o wam_model_module.o wam_fre_dir_module.o wam_file_module.o wam_mpi_comp_module.o wam_grid_module.o wam_general_module.o wam_coordinate_module.o 
wam_radiation_module.o : wam_radiation_module.f90 wam_output_set_up_module.o wam_mpi_module.o wam_tables_module.o wam_nest_module.o wam_propagation_module.o wam_model_module.o wam_timopt_module.o wam_grid_module.o wam_general_module.o wam_fre_dir_module.o wam_file_module.o wam_mpi_comp_module.o wam_topo_module.o wam_ice_module.o 
wam_nest_module.o : wam_nest_module.f90 wam_file_module.o wam_grid_module.o wam_general_module.o wam_coordinate_module.o 
wam_user_module.o : wam_user_module.f90 wam_assi_set_up_module.o wam_restart_module.o wam_file_module.o wam_coldstart_module.o wam_timopt_module.o wam_boundary_module.o wam_nest_module.o wam_ice_module.o wam_current_module.o wam_topo_module.o wam_wind_module.o wam_general_module.o wam_output_set_up_module.o wam_coordinate_module.o 
wam_special_module.o : wam_special_module.f90 wam_mpi_module.o wam_file_module.o wam_general_module.o 
read_topo_input.o : read_topo_input.f90 wam_file_module.o wam_topo_module.o wam_general_module.o 
chief.o : chief.f90 wam_mpi_module.o wam_file_module.o wam_timopt_module.o wam_mpi_comp_module.o wam_general_module.o 
wavemdl.o : wavemdl.f90 wam_timopt_module.o wam_file_module.o wam_current_module.o wam_topo_module.o wam_wind_module.o wam_general_module.o 
initmdl.o : initmdl.f90 wam_model_module.o wam_mpi_module.o wam_fre_dir_module.o wam_timopt_module.o wam_nest_module.o wam_grid_module.o wam_file_module.o wam_assi_set_up_module.o wam_mpi_comp_module.o wam_source_module.o wam_restart_module.o wam_propagation_module.o wam_output_module.o wam_output_set_up_module.o wam_initial_module.o wam_general_module.o wam_boundary_module.o 
read_wam_user.o : read_wam_user.f90 wam_user_module.o wam_file_module.o wam_general_module.o 
print_wam_status.o : print_wam_status.f90 wam_assi_set_up_module.o wam_wind_module.o wam_topo_module.o wam_timopt_module.o wam_tables_module.o wam_source_module.o wam_restart_module.o wam_propagation_module.o wam_output_set_up_module.o wam_nest_module.o wam_ice_module.o wam_grid_module.o wam_general_module.o wam_fre_dir_module.o wam_file_module.o wam_current_module.o wam_coldstart_module.o wam_boundary_module.o 
read_wind_input.o : read_wind_input.f90 wam_file_module.o wam_wind_module.o wam_general_module.o 
read_current_input.o : read_current_input.f90 wam_file_module.o wam_current_module.o wam_general_module.o 
wamodel.o : wamodel.f90 wam_assi_set_up_module.o wam_mpi_module.o wam_grid_module.o wam_timopt_module.o wam_nest_module.o wam_model_module.o wam_file_module.o wam_assi_module.o wam_wind_module.o wam_topo_module.o wam_source_module.o wam_restart_module.o wam_propagation_module.o wam_output_module.o wam_output_set_up_module.o wam_ice_module.o wam_general_module.o wam_current_module.o wam_boundary_module.o 
read_boundary_input.o : read_boundary_input.f90 wam_nest_module.o wam_fre_dir_module.o wam_file_module.o wam_boundary_module.o wam_general_module.o 
read_ice_input.o : read_ice_input.f90 wam_file_module.o wam_ice_module.o wam_general_module.o 
jafu.o : jafu.f90 
wam_mpi_comp_module.o : wam_mpi_comp_module.f90 wam_timopt_module.o wam_mpi_module.o wam_nest_module.o wam_output_set_up_module.o wam_grid_module.o wam_fre_dir_module.o wam_file_module.o wam_coordinate_module.o wam_general_module.o 
wam_assi_set_up_module.o : wam_assi_set_up_module.f90 wam_grid_module.o wam_timopt_module.o wam_file_module.o wam_output_set_up_module.o wam_general_module.o wam_coordinate_module.o 
wam_assi_module.o : wam_assi_module.f90 wam_mpi_module.o wam_assi_set_up_module.o wam_model_module.o wam_fre_dir_module.o wam_grid_module.o wam_timopt_module.o wam_file_module.o wam_mpi_comp_module.o wam_topo_module.o wam_ice_module.o wam_output_module.o wam_output_set_up_module.o wam_interface_module.o wam_general_module.o wam_coordinate_module.o 
wam_coordinate_module.o : wam_coordinate_module.f90 wam_file_module.o 
readsat.o : readsat.f90 
wam_output_parameter_module.o : wam_output_parameter_module.f90 
